Skip to content
API Reference
API Reference

Retrieve the balance

Retrieve the remaining paid and bonus balance plus current usage totals.

Retrieve the remaining paid and bonus balance plus current usage totals.

Endpoint

GET /api/v1/me/balance
Base URL
https://runapi.ai
API version
v1
Authentication
Authorization: Bearer YOUR_API_KEY
Authorization
Returns the balance for the account bound to the presented Standard API key.
02

Success response

HTTP 200

GET /api/v1/me/balance

JSON
{
  "balance_cents": 1200,
  "bonus_balance_cents": 200,
  "paid_balance_cents": 1000,
  "spent_cents_today": 75,
  "spent_cents_total": 4300
}
03

Error response (401)

HTTP 401
Response schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Response example

JSON
{
  "error": "Authentication required"
}
04

Error response (403)

HTTP 403
Response schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Response example

JSON
{
  "error": "Standard API key required"
}
05

cURL example

CURL
curl -X GET https://runapi.ai/api/v1/me/balance \
  -H 'Authorization: Bearer YOUR_API_KEY'